View Issue Details

IDProjectCategoryView StatusLast Update
0023398CommunityOCCT:Documentationpublic2021-12-13 14:56
ReporterAlexander Schneller Assigned Toinv  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
PlatformAOSL 
Product Version6.5.3 
Target Version7.7.0 
Summary0023398: Documentation, Shape Healing User's Guide - example does not compile
DescriptionOn Page 48
=================================================================
//getting the intermediate result for replacing subshape1 with
//the modified subshape1.
TopoDS_Shape tempshape1 = Context->Apply(subshape1);
//replacing the intermediate shape obtained from subshape1 with the //newsubshape1.
Context->Replace(tempsubshape1,newsubshape1);
…
//for removing the subshape
TopoDS_Shape tempshape2 = Context->Apply(subshape2);
Context->Remove(tempsubshape2);
=================================================================

The variable tempshape1 and the parameter tempsubshape1 must have the same name.
Same for tempshape2 and tempsubshape2.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0031634 newkgv Open CASCADE Documentation - minor clean-up of User Guides from misprints and old classes 

Activities

atp

2013-09-19 12:33

developer   ~0025646

Dear gka, please approve these changes to the user's guide.

git

2021-11-17 16:05

administrator   ~0105228

Branch CR23398 has been created by kgv.

SHA-1: 17a6610fe2e0212710c610e384abde8422995a6b


Detailed log of new commits:

Author: kgv
Date: Wed Nov 17 11:54:05 2021 +0300

    0023398: Documentation, Shape Healing User's Guide - example does not compile
    
    Fixed some misprints in the documentation.
    Removed description of non-existing Message_TraceFile.

kgv

2021-11-17 16:05

developer   ~0105229

Patch is ready for review
- OCCT: branch CR23398.

git

2021-11-17 16:07

administrator   ~0105230

Branch CR23398 has been updated forcibly by kgv.

SHA-1: 2da8ff00be4ac61ba6f9a7311e28c17342be9cfb

git

2021-11-18 18:02

administrator   ~0105243

Branch CR23398 has been updated by aml.

SHA-1: 5f67481b3722fc946e6be670f7e9d7dc05b60d4a


Detailed log of new commits:

Author: aml
Date: Thu Nov 18 16:51:07 2021 +0300

    #remarks.

aml

2021-11-18 18:05

developer   ~0105244

For integration:
occt - CR23398
products - none

bugmaster

2021-11-21 12:30

administrator   ~0105284

Combination -
OCCT branch : IR-2021-11-19
master SHA - ea0ffd6efe2e05d9764495fa0a877ab75ab5f4e9
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-19 SHA - 24ac02cc67913557271bc70687b86b53e78f9c44
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17763.090000000444 / 17742.320000000425 [+0.12%]
Products
Total CPU difference: 11658.550000000125 / 11669.660000000133 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 19745.71875 / 19762.140625 [-0.08%]
Products
Total CPU difference: 13066.0625 / 12843.21875 [+1.74%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105848

Branch CR23398 has been deleted by kgv.

SHA-1: 5f67481b3722fc946e6be670f7e9d7dc05b60d4a

Related Changesets

occt: master c1e15aa5

2021-11-17 08:54:05

kgv


Committer: inv Details Diff
0023398: Documentation, Shape Healing User's Guide - example does not compile

Fixed some misprints in the documentation.
Removed description of non-existing Message_TraceFile.
Affected Issues
0023398
mod - dox/user_guides/shape_healing/images/shape_healing_image009.svg Diff File
mod - dox/user_guides/shape_healing/shape_healing.md Diff File

Issue History

Date Modified Username Field Change
2012-08-22 12:00 Alexander Schneller New Issue
2012-08-22 12:00 Alexander Schneller Assigned To => atp
2013-09-19 12:32 atp Assigned To atp => gka
2013-09-19 12:33 atp Note Added: 0025646
2021-11-17 11:30 kgv Test case number => N/A
2021-11-17 11:30 kgv Target Version => 7.7.0
2021-11-17 11:30 kgv Summary [Shape Healing User’s Guide] example does not compile => Documentation, Shape Healing User's Guide - example does not compile
2021-11-17 11:30 kgv Description Updated
2021-11-17 11:30 kgv Steps to Reproduce Updated
2021-11-17 11:33 kgv Relationship added child of 0031634
2021-11-17 16:05 git Note Added: 0105228
2021-11-17 16:05 kgv Note Added: 0105229
2021-11-17 16:05 kgv Assigned To gka => aml
2021-11-17 16:05 kgv Status new => resolved
2021-11-17 16:07 git Note Added: 0105230
2021-11-18 18:02 git Note Added: 0105243
2021-11-18 18:05 aml Note Added: 0105244
2021-11-18 18:05 aml Assigned To aml => bugmaster
2021-11-18 18:05 aml Status resolved => reviewed
2021-11-21 12:27 bugmaster Status reviewed => tested
2021-11-21 12:30 bugmaster Note Added: 0105284
2021-11-21 12:46 inv Changeset attached => occt master c1e15aa5
2021-11-21 12:46 inv Assigned To bugmaster => inv
2021-11-21 12:46 inv Status tested => verified
2021-11-21 12:46 inv Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105848